%define major		3
%define gir_major	0.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Stream Engine to handle media streaming channels
Name:		telepathy-farstream
Version:	0.6.2
Release:	%mkrel 2
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/
BuildRequires: %{_lib}dbus-1-devel 
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}farstream-devel 
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gstreamer1.0-devel 
BuildRequires: %{_lib}telepathy-glib-devel

Obsoletes:	telepathy-farsight
Obsoletes:	%{name}-python < 0.6.0
Obsoletes:	telepathy-farstream0.6 < 0.6.0-6

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels
Obsoletes:	%{_lib}telepathy-farsight0

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}telepathy-farsight-devel
Obsoletes:	%{_lib}telepathy-farstream0.6-devel < 0.6.0-6
Conflicts:	%{_lib}telepathy-farstream0.4-devel < 0.6.0

%description -n %{develname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%files
%doc README NEWS

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/girepository-1.0/TelepathyFarstream-%{gir_major}.typelib

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/lib%{name}.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/TelepathyFarstream-%{gir_major}.gir


%changelog
* Fri Jan 01 2016 bb <bb> 0.6.2-2pclos2016
- rebuild against updated farstream

* Wed Mar 11 2015 bb <bb> 0.6.2-1pclos2015
- update
